1. CARD
Español
  • Español
  • English
  • Kushki Docs Colombia
  • Online Payments
    • CARD
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Create payment (tokenless)
        POST
      • Authorize payments
        POST
      • Capture an authorized payment
        POST
      • Bin Info V2
        GET
      • Verify Account
        POST
      • Reauthorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Validate OTP
        POST
      • Request deferred options
        GET
      • Bin Info
        GET
      • Refund a transaction
        DELETE
    • ANALYTICS
      • Get transactions list v1
      • Get transactions list v2
    • CARD-OUTS
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • TRANSFER IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • TRANSFER OUT
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Delete a cash in transaction
      • Transaction Status
    • CASH-OUT
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • COMMISSIONS
      • Get Commission Configuration
    • PAYMENT-BUTTON
      • Create a payment button
    • PAYMENT-CREDENTIALS
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Search credentials
      • Activate or deactivate
      • Update credential
      • Create a credential
    • SMARTLINKS-V2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • TRANSFER-OUT
      • Balance for Payouts
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
    • TRANSFER-IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • ONE-CLICK & SCHEDULED PAYMENTS
      • Request a recurring charge token
      • Update recurring charge card data
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
      • Create a recurring charge
      • Make an One-click payment
      • Cancel a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Get subscription transactions
    • GATEWAY-STATUS
      • Get gateway status
      • Get platform status
  • Schemas
    • SubscriptionTransactionsResponse
    • Card
    • SubscriptionTransaction
    • currency
    • ErrorResponse
    • Amount
    • extraTaxes
    • Deferred
    • Metadata
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • product
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. CARD

Reauthorize payments

POST
/card/v1/reauthorization
Use this endpoint to extend the amount or effect of the Authorize payments endpoint.
Product in beta version for Colombia 🔐👨‍💻
We are working on our beta version. Stay tuned for its official release! You can also contact your account manager for more information.
If payment is not captured within 7 days for debit cards and 28 days for credit cards, the issuing bank may return the withheld funds to the cardholder.
The currency must be the same as the authorization.
An amount of $0 can be sent in the reauthorization to extend the date of capture.
The reauthorization can be for an amount greater than the authorization.
NOTE: A reauthorization can be canceled through the Void a transaction endpoint.
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Created
Body

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/card/v1/reauthorization' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ticketNumber": "319228478889680319",
    "amount": {
        "currency": "COP",
        "subtotalIva": 0,
        "iva": 0,
        "subtotalIva0": 20000,
        "ice": 0
    },
    "fullResponse": "v2"
}'
Response Response Example
201 - Reauthorization fullResponse
{
    "details": {
        "amount": {
            "currency": "COP",
            "extraTaxes": {
                "agenciaDeViaje": 0,
                "iac": 0,
                "propina": 0
            },
            "ice": 0,
            "iva": 0,
            "subtotalIva": 0,
            "subtotalIva0": 59
        },
        "approvalCode": "000000",
        "approvedTransactionAmount": 59,
        "binInfo": {
            "bindCard": "520473",
            "lastFourDigits": "2001",
            "cardCountry": "Colombia"
        },
        "cardHolderName": "John Doe",
        "created": 1661879668000,
        "merchantId": "20000000105929933000",
        "merchantName": "Tu comercio Colombia",
        "paymentBrand": "Master Card",
        "processorBankName": "0032~BANCO INTERNACIONAL",
        "requestAmount": 59,
        "responseCode": "000",
        "responseText": "Transacción aprobada",
        "transactionId": "790531811679281791",
        "transactionReference": "2a4b4956-fe74-4eb1-9ccf-980afbd7c8b7",
        "transactionStatus": "APPROVAL",
        "transactionType": "REAUTHORIZATION"
    },
    "ticketNumber": "501125543926816185",
    "transactionReference": "2a4b4956-fe74-4eb1-9ccf-980afbd7c8b7"
}
Modified at 2026-04-16 23:06:29
Previous
Verify Account
Next
Preauthorization (tokenless)
Built with